Subject: Re: Where to put profile files?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Randall Parker" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 18 Jul 2000 13:16:49 -0400

At 01:02 PM 7/18/2000, Randall Parker wrote:
>Bob,
>
>Yes, verified what you and Mike said. Thanks.  If I set the HOME variable in the environment then it will read .bashrc. But it still won't read the .bash_profile or .bash_login files. However, if I add the --
>login on the line in cygwin.bat that executes bash then it reads the other files.
>
>However, I still have a mystery: I can't get it to use the profile file in the etc directory. 
>
>So how does it know which directory is the etc directory? Neither of these is getting executed:
>    c:\etc\profile
>    j:\prg\cygwin\etc\profile
>
>Is there a different environment variable for where Bash's own home directory is located?

Randall,

I believe many of your questions about what bash does can be answered by 
looking at the bash man and info pages.  Its a good place to start for 
information concerning the configuration of bash.

As for the question of which "etc" directory will be referenced, that
would be /etc.  If you're not sure which Windows path corresponds to /, 
look at the output of the mount command.  It will tell you.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]